#!/bin/sh
export PATH='/usr/lib/distcc/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: free
version: 4.12.4
id: free-4.12.4-EvilIhNJNIrF3m3AD1vhvE
key: free-4.12.4-EvilIhNJNIrF3m3AD1vhvE
license: BSD3
copyright: Copyright (C) 2008-2015 Edward A. Kmett
maintainer: Edward A. Kmett <ekmett@gmail.com>
stability: provisional
homepage: http://github.com/ekmett/free/
synopsis: Monads for free
description:
    Free monads are useful for many tree-like structures and domain specific languages.
    .
    If @f@ is a '\''Functor'\'' then the free '\''Monad'\'' on @f@ is the type
    of trees whose nodes are labeled with the constructors of @f@. The word
    \"free\" is used in the sense of \"unrestricted\" rather than \"zero-cost\":
    @Free f@ makes no constraining assumptions beyond those given by @f@ and the
    definition of '\''Monad'\''. As used here it is a standard term from the
    mathematical theory of adjoint functors.
    .
    Cofree comonads are dual to free monads. They provide convenient ways to talk
    about branching streams and rose-trees, and can be used to annotate syntax
    trees. The cofree comonad can be seen as a stream parameterized by a '\''Functor'\''
    that controls its branching factor.
    .
    More information on free monads, including examples, can be found in the
    following blog posts:
    <http://comonad.com/reader/2008/monads-for-free/>
    <http://comonad.com/reader/2011/free-monads-for-less/>
category: Control, Monads
author: Edward A. Kmett
exposed: True
indefinite: False
exposed-modules:
    Control.Alternative.Free Control.Alternative.Free.Final
    Control.Applicative.Free Control.Applicative.Free.Final
    Control.Applicative.Trans.Free Control.Comonad.Cofree
    Control.Comonad.Cofree.Class Control.Comonad.Trans.Cofree
    Control.Comonad.Trans.Coiter Control.Monad.Free
    Control.Monad.Free.Church Control.Monad.Free.Class
    Control.Monad.Free.TH Control.Monad.Trans.Free
    Control.Monad.Trans.Free.Church Control.Monad.Trans.Iter
abi: b07920c1bd11c802a9b2585b80624e55
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/free-4.12.4
library-dirs: /usr/lib/ghc-8.2.2/site-local/free-4.12.4
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/arm-linux-ghc-8.2.2/free-4.12.4
hs-libraries: HSfree-4.12.4-EvilIhNJNIrF3m3AD1vhvE
depends:
    base-4.10.1.0 bifunctors-5.5-GboNfSLJ1zC9Dfov5rQDF7
    comonad-5.0.2-5FGZALTgAAwCV8EmXasfw1
    distributive-0.5.3-3QQWO3yfOScASLf5zUz2JE
    mtl-2.2.1-DscMMmDQUE6GBfOSl4qMUH
    prelude-extras-0.4.0.3-2BTovQep0HPEQRrUv78ItR
    profunctors-5.2.1-3RBMRXw3iASK8u62NP30RE
    semigroupoids-5.2.1-79jkPalWVyGb7DjZeFx7j
    semigroups-0.18.3-3aCIuYG4ID286XaN6MuQu7 transformers-0.5.2.0
    transformers-compat-0.5.1.4-EAh8Ccrgitz4vTZtbTPyCM
    template-haskell-2.12.0.0 exceptions-0.8.3-KXvLXRbxEkO6vroqtRG1UV
    containers-0.5.10.2
abi-depends: base-4.10.1.0=0ea45191c57c268b2351cb731ab6a0d6
             bifunctors-5.5-GboNfSLJ1zC9Dfov5rQDF7=a23bc8cb341fa6d1c849977cfff3c9c1
             comonad-5.0.2-5FGZALTgAAwCV8EmXasfw1=c9494ddd8dca169177efbeae2d54ce78
             distributive-0.5.3-3QQWO3yfOScASLf5zUz2JE=4194008627baa63a29bcee90329e8d22
             mtl-2.2.1-DscMMmDQUE6GBfOSl4qMUH=a1f89647d7228db4bf59b7aaec52e888
             prelude-extras-0.4.0.3-2BTovQep0HPEQRrUv78ItR=43c356f9cef51d0b1f808049263b7029
             profunctors-5.2.1-3RBMRXw3iASK8u62NP30RE=86070f5ceec2c3bf4486b37130d22ceb
             semigroupoids-5.2.1-79jkPalWVyGb7DjZeFx7j=c9b55a6a191c77fd98bceba152e5fa5d
             semigroups-0.18.3-3aCIuYG4ID286XaN6MuQu7=d64b81e3ed8022aca04423ee7b330679
             transformers-0.5.2.0=b5dee110a615d751493b7ce1c6f95946
             transformers-compat-0.5.1.4-EAh8Ccrgitz4vTZtbTPyCM=506de314acc216de1ce76634db1785eb
             template-haskell-2.12.0.0=24d98a36b9e0dbd4d443161d478c05b2
             exceptions-0.8.3-KXvLXRbxEkO6vroqtRG1UV=488626f806840161fa9e32c70677324e
             containers-0.5.10.2=0f9db0d1b935cacba444aac19f4cb54d
haddock-interfaces: /usr/share/doc/haskell-free/html/free.haddock
haddock-html: /usr/share/doc/haskell-free/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

